using System;
using System.Web.UI;
using Telerik.Web.UI;

public partial class _Default : Page 
{

    protected void RadTreeView1_NodeClick(object sender, RadTreeNodeEventArgs e)
    {
        RadTreeNode node = e.Node;
        UpdateLabel(node);
    }

    private void UpdateLabel(RadTreeNode node)
    {
        Label1.Text = node != null
                          ? string.Format("Node: {0} - Clicked on {1}", node.Text, DateTime.Now.ToLongTimeString())
                          : "No selected node";
    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument == "UpdateLabel")
        {
            UpdateLabel(RadTreeView1.SelectedNode);
        }
    }
}